int global_int;
struct lock l;
struct lock la[2];

void t() {
	lock_acquire(&la[0]);
}

int main() {
	int local;
	global_int = 30;
	lock_init(&l);
	lock_init(&la[0]);
	lock_acquire(&la[0]);
	thread_new(&t);
	// comment
	return 0;
}
